Download it now!
Bug 110429 - Width of page number field in Navigator to large
Summary: Width of page number field in Navigator to large
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.3.2 release
Hardware: All All
: low minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Navigator Go-To-Page
  Show dependency treegraph
 
Reported: 2017-07-30 01:51 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-01-29 16:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (49.60 KB, image/png)
2017-09-19 11:58 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-07-30 01:51:19 UTC
In 5.3, the page number spinbox field in Navigator jumped from 55px to 84px and takes up way to much space and results in many of the controls to the right of it being cropped by default and the minimum width of the deck to be alot more.

Version: 6.0.0.0.alpha0+
Build ID: f2d2093b2198bd4c65475a60329a5a6a7a8575f1
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Buovjaga 2017-08-21 16:00:29 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 668ab2e739397e6b095372a1a468bd4f515927b6
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 20th 2017
Comment 2 Yousuf Philips (jay) (retired) 2017-09-19 11:58:52 UTC
Created attachment 136368 [details]
screenshot
Comment 3 Aron Budea 2017-09-19 12:18:34 UTC
According to bibisect-linux-64-5.3 it started with the commit referenced below. Seems strange, I wonder which other piece of code was affected by the change... Adding Cc: to Stephan Bergmann.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c80ac2ba4a6486e6161e17f9118ba1563b7fc00e
author		Stephan Bergmann <sbergman@redhat.com>	2016-11-11 17:16:52 (GMT)
committer	Stephan Bergmann <sbergman@redhat.com>	2016-11-14 16:45:17 (GMT)

"Avoid -fsanitize=signed-integer-overflow"
Comment 4 QA Administrators 2018-09-22 02:44:22 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2018-09-22 13:29:02 UTC
still repro in

Version: 6.1.1.2 (x64)
Build ID: 5d19a1bfa650b796764388cd8b33a5af1f5baa1b
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 6 Caolán McNamara 2019-01-29 12:29:52 UTC
seems the old calculation was basically wrong so the above commit revealed it. Best to just set a preferred size directly in the navigator thingy
Comment 7 Commit Notification 2019-01-29 14:23:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8b01361979a8e9c0f59716e2b3de65daad7c25a7%5E%21

Resolves: tdf#110429 width of page number wider than traditional width

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Buovjaga 2019-01-29 14:36:28 UTC
Thanks, verified.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 8b01361979a8e9c0f59716e2b3de65daad7c25a7
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 29 January 2019
Comment 9 Commit Notification 2019-01-29 16:58:41 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/da525193df9dae10d322446baf3b876d364cacb6%5E%21

Resolves: tdf#110429 width of page number wider than traditional width

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.